Skip to main content
PATCH
Edit a managed Airflow SSH connection

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

conn_id
string
required
Required string length: 1 - 200
Pattern: ^[\w.-]+$

Body

application/json
conn_id
string
required
Required string length: 1 - 200
host
string
required
Required string length: 1 - 255
login
string
required
Required string length: 1 - 255
port
integer
default:22
Required range: 1 <= x <= 65535
auth_method
enum<string>
default:private_key
Available options:
private_key,
password,
key_file
private_key
string | null
private_key_passphrase
string | null
password
string | null
key_file
string | null
Maximum string length: 1024
timeout
integer
default:30
Required range: 1 <= x <= 600
no_host_key_check
boolean
default:true
allow_host_key_change
boolean
default:true
compress
boolean
default:false
look_for_keys
boolean
default:false
description
string | null
Maximum string length: 500

Response

Successful Response

conn_id
string
required
host
string | null
port
integer | null
login
string | null
auth_method
enum<string> | null
Available options:
private_key,
password,
key_file
managed
boolean
default:false
conn_type
string
default:ssh
key_file
string | null
timeout
integer | null
no_host_key_check
boolean | null
allow_host_key_change
boolean | null
compress
boolean | null
look_for_keys
boolean | null
description
string | null
private_key_set
boolean
default:false
password_set
boolean
default:false